%define anolis_release 1
%global pypi_name panopticapi
%global pypi_version 0.1
%global commit_hash 7bb4655

Name:           python-%{pypi_name}
Version:        %{pypi_version}.%{commit_hash}
Release:        %{anolis_release}%{?dist}
Summary:        COCO 2018 Panoptic Segmentation Task API (Beta version)

License:        BSD
URL:            https://github.com/cocodataset/panopticapi
Source0:        https://github.com/cocodataset/panopticapi/tarball/7bb4655548f98f3fedc07bf37e9040a992b054b0#/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This API is an experimental version of COCO 2018 Panoptic Segmentation Task API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(numpy)
Requires:       python3dist(pillow)
%description -n python3-%{pypi_name}
This API is an experimental version of COCO 2018 Panoptic Segmentation Task API.

%prep
%autosetup -n cocodataset-%{pypi_name}-%{commit_hash}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license license.txt
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 09 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.1-1
- Initial package.